using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DialogBoxesDemo
{
    public partial class OptionsForm : Form
    {
        private bool soundOn = true;
        public bool SoundOn
        {
            get
            {
                return soundOn;
            }
            set
            {
                soundOn = value;
            }
        }

        public OptionsForm()
        {
            InitializeComponent();
        }

        private void OptionsForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (this.DialogResult == DialogResult.OK)
            {
                SoundOn = OnRadioButton.Checked;
            }

            OnRadioButton.Checked = SoundOn;
            offRadioButton.Checked = !SoundOn;
        }


    }
}