using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DialogBoxesDemo
{
    public partial class SpellCheckForm : Form
    {
        // Craete a generic event that anyone can listen to
        public event EventHandler Change;

        private string word;
        public string Word
        {
            get
            {
                return word;
            }
            set
            {
                word = value;
            }
        }
        public SpellCheckForm()
        {
            InitializeComponent();
        }

        private void replaceButton_Click(object sender, EventArgs e)
        {
            Word = wordTextBox.Text;

            // Only trigger an event if someone is listening for it
            if (Change != null)
            {
                Change(this, null);
            }
        }
    }
}